/**
 * 人员-考勤
 */
import { Col, Row } from 'antd';
import Exeception from "./Exeception";
import Record from "./Record";
import WorkingHours from "./WorkingHours";
import "./index.less";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var Attendance = function Attendance(props) {
  var id = props.id,
    _props$service = props.service,
    service = _props$service === void 0 ? '' : _props$service;
  return /*#__PURE__*/_jsx("div", {
    className: "staff-attend",
    children: /*#__PURE__*/_jsxs(Row, {
      gutter: [10, 10],
      children: [/*#__PURE__*/_jsx(Col, {
        xxl: 10,
        xl: 10,
        lg: 24,
        md: 24,
        children: /*#__PURE__*/_jsx(Exeception, {
          id: id,
          service: service
        })
      }), /*#__PURE__*/_jsx(Col, {
        xxl: 14,
        xl: 14,
        lg: 24,
        md: 24,
        children: /*#__PURE__*/_jsx(WorkingHours, {
          id: id,
          service: service
        })
      }), /*#__PURE__*/_jsx(Col, {
        span: 24,
        children: /*#__PURE__*/_jsx("div", {
          className: "staff-attend-record",
          children: /*#__PURE__*/_jsx(Record, {
            id: id,
            service: service
          })
        })
      })]
    })
  });
};
export default Attendance;